Bug 727017 - ibus compose file needs a symbol tag for gnome-shell
Summary: ibus compose file needs a symbol tag for gnome-shell
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-pinyin
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-01 03:46 UTC by fujiwara
Modified: 2011-08-22 15:15 UTC (History)
3 users (show)

Fixed In Version: ibus-pinyin-1.3.99.20110706-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-09 01:42:56 UTC
Type: ---


Attachments (Terms of Use)

Description fujiwara 2011-08-01 03:46:12 UTC
The latest ibus-gnome3 + gnome-shell can show a special symbol char on ibus status icon by ibus engine.
The symbol can be defined in engine's /usr/share/ibus/component/*.xml .

Now ibus-anthy-1.2.6-3 has a symbol char and the similar fix is needed for major ibus engines.

% grep symbol /usr/share/ibus/component/anthy.xml
			<symbol>&#x3042;</symbol>

The following patch is the example:
http://pkgs.fedoraproject.org/gitweb/?p=ibus-anthy.git;a=blob_plain;f=ibus-anthy-xx-icon-symbol.patch
http://pkgs.fedoraproject.org/gitweb/?p=ibus-hangul.git;a=blob_plain;f=ibus-hangul-xx-icon-symbol.patch

(Note: probably you don't need hotkeys tag since your engine would need Control + Space only for the trigger)

Comment 1 Fedora Update System 2011-08-02 02:32:47 UTC
ibus-pinyin-1.3.99.20110706-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-pinyin-1.3.99.20110706-2.fc16

Comment 2 Fedora Update System 2011-08-02 02:33:01 UTC
ibus-pinyin-1.3.99.20110706-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-pinyin-1.3.99.20110706-2.fc15

Comment 3 Fedora Update System 2011-08-02 03:46:21 UTC
Package ibus-pinyin-1.3.99.20110706-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-pinyin-1.3.99.20110706-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ibus-pinyin-1.3.99.20110706-2.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-08-09 01:42:46 UTC
ibus-pinyin-1.3.99.20110706-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2011-08-22 15:15:37 UTC
ibus-pinyin-1.3.99.20110706-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.